﻿.popover {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1060;
    display: block;
    max-width: 276px;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-style: normal;
    font-weight: 400;
    line-height: 1.5;
    text-align: left;
    text-align: start;
    text-decoration: none;
    text-shadow: none;
    text-transform: none;
    letter-spacing: normal;
    word-break: normal;
    word-spacing: normal;
    white-space: normal;
    line-break: auto;
    font-size: 0.875rem;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 0.3rem;
}

    .popover .arrow {
        position: absolute;
        display: block;
        width: 1rem;
        height: 0.5rem;
        margin: 0 0.3rem;
    }

        .popover .arrow::before, .popover .arrow::after {
            position: absolute;
            display: block;
            content: "";
            border-color: transparent;
            border-style: solid;
        }

    .popover.fade.show {
        opacity: 1;
    }

    .popover .tooltip-image {
        width: 100%;
    }

/* TOP */
.bs-popover-top, .bs-popover-auto[x-placement^="top"] {
    margin-bottom: 0.5rem;
    left: -7px !important;
}

    .bs-popover-top .arrow, .bs-popover-auto[x-placement^="top"] .arrow {
        bottom: -20px;
    }

        .bs-popover-top .arrow::before, .bs-popover-auto[x-placement^="top"] .arrow::before,
        .bs-popover-top .arrow::after, .bs-popover-auto[x-placement^="top"] .arrow::after {
            border-width: 0.5rem 0.5rem 0;
        }

        .bs-popover-top .arrow::before, .bs-popover-auto[x-placement^="top"] .arrow::before {
            bottom: 0;
            border-top-color: rgba(0, 0, 0, 0.25);
        }

        .bs-popover-top .arrow::after, .bs-popover-auto[x-placement^="top"] .arrow::after {
            bottom: 1px;
            border-top-color: #fff;
        }

/* RIGHT */
.bs-popover-right, .bs-popover-auto[x-placement^="right"] {
    margin-left: 0.5rem;
}

    .bs-popover-right .arrow, .bs-popover-auto[x-placement^="right"] .arrow {
        left: -20px;
        width: 0.5rem;
        height: 1rem;
        margin: 0.3rem 0;
    }

        .bs-popover-right .arrow::before, .bs-popover-auto[x-placement^="right"] .arrow::before,
        .bs-popover-right .arrow::after, .bs-popover-auto[x-placement^="right"] .arrow::after {
            border-width: 0.5rem 0.5rem 0.5rem 0;
        }

        .bs-popover-right .arrow::before, .bs-popover-auto[x-placement^="right"] .arrow::before {
            left: 0;
            border-right-color: rgba(0, 0, 0, 0.25);
        }

        .bs-popover-right .arrow::after, .bs-popover-auto[x-placement^="right"] .arrow::after {
            left: 1px;
            border-right-color: #fff;
        }

/* BOTTOM */
.bs-popover-bottom, .bs-popover-auto[x-placement^="bottom"] {
    margin-top: 0.5rem;
}

    .bs-popover-bottom .arrow, .bs-popover-auto[x-placement^="bottom"] .arrow {
        top: -20px;
    }

        .bs-popover-bottom .arrow::before, .bs-popover-auto[x-placement^="bottom"] .arrow::before,
        .bs-popover-bottom .arrow::after, .bs-popover-auto[x-placement^="bottom"] .arrow::after {
            border-width: 0 0.5rem 0.5rem 0.5rem;
        }

        .bs-popover-bottom .arrow::before, .bs-popover-auto[x-placement^="bottom"] .arrow::before {
            top: 0;
            border-bottom-color: rgba(0, 0, 0, 0.25);
        }

        .bs-popover-bottom .arrow::after, .bs-popover-auto[x-placement^="bottom"] .arrow::after {
            top: 1px;
            border-bottom-color: #fff;
        }

    .bs-popover-bottom .popover-header::before, .bs-popover-auto[x-placement^="bottom"] .popover-header::before {
        position: absolute;
        top: 0;
        left: 50%;
        display: block;
        width: 1rem;
        margin-left: -0.5rem;
        content: "";
        border-bottom: 1px solid #f7f7f7;
    }

/* LEFT */
.bs-popover-left, .bs-popover-auto[x-placement^="left"] {
    margin-right: 0.5rem;
}

    .bs-popover-left .arrow, .bs-popover-auto[x-placement^="left"] .arrow {
        right: -20px;
        width: 0.5rem;
        height: 1rem;
        margin: 0.3rem 0;
    }

        .bs-popover-left .arrow::before, .bs-popover-auto[x-placement^="left"] .arrow::before,
        .bs-popover-left .arrow::after, .bs-popover-auto[x-placement^="left"] .arrow::after {
            border-width: 0.5rem 0 0.5rem 0.5rem;
        }

        .bs-popover-left .arrow::before, .bs-popover-auto[x-placement^="left"] .arrow::before {
            right: 0;
            border-left-color: rgba(0, 0, 0, 0.25);
        }

        .bs-popover-left .arrow::after, .bs-popover-auto[x-placement^="left"] .arrow::after {
            right: 1px;
            border-left-color: #fff;
        }

/* HEADER */
.popover-header {
    padding: 0.5rem 0.75rem;
    margin-top: 0;
    margin-bottom: 0;
    font-size: 1rem;
    color: inherit;
    background-color: #f7f7f7;
    border-bottom: 1px solid #ebebeb;
    border-top-left-radius: calc(0.3rem - 1px);
    border-top-right-radius: calc(0.3rem - 1px);
}

    .popover-header:empty {
        display: none;
    }

.popover-body {
    padding: 0.5rem 0.75rem;
    color: #212529;
}
